<div class="card">

    <div class="card-header">

        <h4>Edit Product</h4>
    </div>

    <div class="card-body">

        <div class="form">

            <div class="row">

                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Title</label>
                        <input [(ngModel)]= "title" type="text" class = "form-control">
                    </div>

                </div>
                <div class="col-md-6">
 
                    <div class="form-group">
                        <label for="">Price</label>
                        <input [(ngModel)] = "price" type="number" class = "form-control">
                    </div>


                </div>
            </div>
            
            

            <div class="row">


                <div class="col-md-6">

                    <label for="">Brand</label>
                     <select [(ngModel)] = "brand" class="form-control">
                        <option [value]="brand['id']" *ngFor="let brand of brands">{{brand['title']}}</option>
                    </select>
                </div>
                <div class="col-md-6">

                    <label for="">Category</label>
                    <select [(ngModel)] = "category" class="form-control">
                    <option [value]="Category['id']" *ngFor="let Category of categories">{{Category['title']}}</option>
                    </select>
                </div>

            </div>
                

            <div class="row">

                <div class="col-md-12">
                    
                     <div class="form-group">
                        <label for="">Description</label>
                        <textarea [(ngModel)] = "description" rows="10" class = "form-control"> </textarea>
                    </div>


                </div>
            </div>

               <div class="form-group">
                    <button  (click) = "onUpdate()"  class="btn btn-success">Edit</button>
                    <a style="margin-left:10px ;"  routerLink = "/product-list" class="btn btn-danger">Cancel</a>
            </div>
            
            
            
        </div>

    </div>
</div>  